#ifndef EFL_UI_CHECK_IMPL_HH
#define EFL_UI_CHECK_IMPL_HH

#include "efl_ui_check.eo.hh"

namespace efl { namespace ui { 
#ifdef EFL_BETA_API_SUPPORT
inline ::efl::eolian::return_traits<bool>::type Check::selected_get() const
{
    Eina_Bool __return_value =  ::efl_ui_check_selected_get(_eo_ptr());
    return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
#endif
#ifdef EFL_BETA_API_SUPPORT
inline ::efl::eolian::return_traits<void>::type Check::selected_set( ::efl::eolian::in_traits<bool>::type value) const
{
     ::efl_ui_check_selected_set(_eo_ptr(),
         ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(value));
}
#endif
} } 
namespace eo_cxx {
namespace efl { namespace ui { 
#ifdef EFL_BETA_API_SUPPORT
inline ::efl::eolian::return_traits<bool>::type Check::selected_get() const
{
    Eina_Bool __return_value =  ::efl_ui_check_selected_get(_eo_ptr());
    return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
#endif
#ifdef EFL_BETA_API_SUPPORT
inline ::efl::eolian::return_traits<void>::type Check::selected_set( ::efl::eolian::in_traits<bool>::type value) const
{
     ::efl_ui_check_selected_set(_eo_ptr(),
         ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(value));
}
#endif
inline efl::ui::Check::operator ::efl::ui::Check() const { return *static_cast< ::efl::ui::Check const*>(static_cast<void const*>(this)); }
inline efl::ui::Check::operator ::efl::ui::Check&() { return *static_cast< ::efl::ui::Check*>(static_cast<void*>(this)); }
inline efl::ui::Check::operator ::efl::ui::Check const&() const { return *static_cast< ::efl::ui::Check const*>(static_cast<void const*>(this)); }
} } }
#endif
